#include "main_win.h"
#include "stdafx.h"
#include "map_win.h"

void renderTopMenu(void)
{
	// Top Menu Image
	SDL_Rect rect;
	rect.x = 258;
	rect.y = 0;
	rect.w = Top_Menu->w;
	rect.h = Top_Menu->h;
	CRM32Pro.Blit(Top_Menu, NULL, CRM32Pro.screen, &rect);

	// fullscreen/windowed text hint for users.
	char buf[128];
	(CRM32Pro.Config.VideoWindow) ? sprintf(buf, "F1 FULLSCREEN") : sprintf(buf, "F1 WINDOWED");	
	int str_w = Font_White->StringWidth(buf) + 12;
	Font_White->PutString(CRM32Pro.screen, CRM32Pro.screen->w - str_w, 4, buf, NULL);
}

void renderBottomMenu(void)
{
	// Bottom Menu Image
	SDL_Rect rect;
	rect.x = 258;
	rect.y = CRM32Pro.screen->h - (Bottom_Menu->h);
	rect.w = Bottom_Menu->w;
	rect.h = Bottom_Menu->h;
	CRM32Pro.Blit(Bottom_Menu, NULL, CRM32Pro.screen, &rect);	

	// Selected Render/Edit Layer (All = 0)
	char buf[256];
	(getMapLayer() != 0) ? sprintf(buf, "%i", getMapLayer()) : sprintf(buf, "All");
	Font_White_High->PutString(CRM32Pro.screen, BOTMENU_LAYER_XPOS, CRM32Pro.screen->h - 12, buf, NULL);

	// Layer Count display
	sprintf(buf, "%i", getMapMaxLayer());
	Font_White_High->PutString(CRM32Pro.screen, BOTMENU_LAYER_COUNT_XPOS, CRM32Pro.screen->h - 12, buf, NULL);

	// Version Display
	sprintf(buf, "v%s ", VERSION);	
	int str_w = Font_White->StringWidth(buf) + 1;
	Font_White->PutString(CRM32Pro.screen, CRM32Pro.screen->w - str_w, 
		CRM32Pro.screen->h - 12, buf, NULL);
}

void renderInfoBar(void)
{
	/*
		INFORMATION WINDOW
	*/	
	SDL_Rect drect;
	drect.x = STATUS_INFO_X;
	drect.y = STATUS_INFO_Y;
	drect.w = STATUS_INFO_WIDTH;
	drect.h = STATUS_INFO_HEIGHT;
	SDL_FillRect(CRM32Pro.screen, &drect, 0xAA202020);
	char buf[128];	
	sprintf(buf, "(F2: increase F3: decrease F4: reset speed)  Scroll Speed = %i,  X = %i,  Y = %i", getMapScrollSpeed(), getMapX(), getMapY());
	Font_White_High->PutString(CRM32Pro.screen, drect.x + 2, drect.y + 2, buf, NULL);	
}