/*
	Module:		Map Interface
	Programmer:	Michael Scott Stuart
	Version:	1.2.7
	Modified:	10/22/07
	Created:	10/09/07 
	Library:	CRM32Pro 4.9.9.0


	1.2.7:

		[10/21/07][MSS][H]:		Removed scrXXX functions. Logic is handled by the logic
								function.		
	1.1.7:

		[10/18/07][MSS][ALL]:	Added Scroll Speed functions, Map Layer functions, 
								init/close Map window functions, load/save map functions..

	1.0.7:

		[10/08/07][MSS][ALL]:	Created.
*/
#pragma once
#include "stdafx.h"

const int getMapScrollSpeed(void);
void setMapScrollSpeed(int Speed);

int getMapX(void);
int getMapY(void);
void setMapX(int X);
void setMapY(int Y);

int getMapMaxLayer(void);
int getMapLayer(void);
void setMapLayer(int Layer);
int MapNextLayer(void);
int MapPrevLayer(void);

void setMapLeftTile(int Tile);
void setMapRightTile(int Tile);
int getMapLeftTile(void);
int getMapRightTile(void);

void setMapPath(string path);
string getMapPath(void);

int getMapWidth(void);
int getMapHeight(void);

void loadMap(void);
void saveMap(void);

void resizeMap(int width, int height, int layers);

void setMapTileset(CRM32Pro_CTile* Tileset);

void performMapLogic(void);
void performMapRender(void);

void initMapWindow(void);
void closeMapWindow(void);

