/*
	Module:		Resources Module
	Programmer:	Michael Scott Stuart
	Version:	1.0.7
	Modified:	10/22/07
	Created:	10/21/07 
	Library:	CRM32Pro 4.9.9.0

	1.0.7:

		[10/21/07][MSS][ALL]:	Created.
								Moved all the resources into this Module.
								Moved the resource loader function into this Module.
								Lots of small changes like resource name changes, etc..

*/

#pragma once
#include "stdafx.h"

// Version naming..
// .. measured in inches and feet ..
#define VERSION	"1'06\""

// Image and Button X positions for the top and bottom menus.
// Note: These defines are being phased out.
#define TOPMENU_DPF_EDIT_XPOS		322
#define TOPMENU_DPF_SET_XPOS		450
#define TOPMENU_TSPICK_XPOS			632
#define BOTMENU_MAP_EDIT_XPOS		324
#define BOTMENU_MAP_LOAD_XPOS		452
#define BOTMENU_MAP_SAVE_XPOS		484
#define BOTMENU_MAPSIZE_SET_XPOS	659
#define BOTMENU_MAP_XSIZE_XPOS		595
#define BOTMENU_MAP_YSIZE_XPOS		627

#define BOTMENU_LAYER_PREV_XPOS		335 + 257
#define BOTMENU_LAYER_XPOS			352 + 257
#define BOTMENU_LAYER_NEXT_XPOS		371 + 257
#define BOTMENU_LAYER_COUNT_XPOS	90	+ 257

// Tileset Picking Window GUI position and stuff.
#define TSPICK_ITEM_WIDTH		128
#define TSPICK_ITEM_HEIGHT		16
#define TSPICK_ITEMS			10
#define TSPICK_XPOS				632
#define TSPICK_YPOS				16

// Status / Information Bar 
#define STATUS_INFO_X			256
#define STATUS_INFO_Y			16
#define STATUS_INFO_WIDTH		CRM32Pro.screen->w - STATUS_INFO_X
#define STATUS_INFO_HEIGHT		16

// Tileset Palette Window Width
#define TSPALETTE_WIDTH				256

// Default Map size.
static int	DEFAULT_MAP_X		= 32;
static int	DEFAULT_MAP_Y		= 64;

static char DEFAULT_DPF[]		= "TILESETS.DPF";
static char DEFAULT_TILESET[]	= "mchip0";
static char DEFAULT_MAP[]		= "test.map";
static char EDITOR_DPF[]		= "EDITOR.DPF";

// Debug information window toggle
static bool debug_info = true;

// Last Button Pressed - Not really used.
static int LastButton;

// Tileset Scroll Position for the Tileset Palette Window
static int tileset_scroll_position = 0;
// Tileset Max Scroll Position for the Tileset Palette Window
static int max_scroll_position = 1;

// ...
static SDL_Event event;

// The actual status string used to display editor status messages.
static string Status;


// Tileset Scroll Up button handle.
extern int Tileset_Scroll_Up;
// Tileset Scrool Down button handle.
extern int Tileset_Scroll_Down;
// DPF filename edit box
extern int DPF_Edit_Box;
// Map filename edit box
extern int Map_Edit_Box;
// DPF Set Button
extern int DPF_Set;
// Tileset Pick Menu Button
extern int Tileset_Menu;
// Layer Count Edit Box
extern int Layer_Edit_Box;
// Prev Layer Button
extern int Prev_Layer;
// Next Layer Button
extern int Next_Layer;

// Map Load/Save/Size/Set Buttons
extern int Map_Load;
extern int Map_Save;
extern int Map_XSize;
extern int Map_YSize;
extern int MapSize_Set;

// Editor Font. Highlighted White colored Font. (Bright yellow)
extern CRM32Pro_CFont* Font_White_High;
// Editor Font. White colored Font.
extern CRM32Pro_CFont* Font_White;

// Tileset Picking Menu Images.
// Top Menu Image
extern SDL_Surface* Top_Menu;
// Bottom Menu Image
extern SDL_Surface* Bottom_Menu;
// Tileset Pick Item Image
extern SDL_Surface* Tspick_Item;
// Tileset Pick Item High Image
extern SDL_Surface* Tspick_Item_High;

void loadResources(void);
